VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBuilder.ObjectCreation.ObjectCreationBasePhysical Class Reference
Inheritance diagram for VisimBuilder.ObjectCreation.ObjectCreationBasePhysical:

List of all members.

## Public Member Functions
| ObjectCreationBasePhysical ()
void | UpdateMaterials ()
override void | Init (MainBuilderForm boss)
virtual Node | ObjectCreation (string name, ITransformation itrans, Type VertexType, PhysBodyType physbody, PhysSettingsEdit physsettings, BoundingObjectType bounding, IRenderMaterial mat, Node owner)
override Node | ObjectCreation (string name, ITransformation itrans, Node owner)
override void | SetDefault ()
## Protected Member Functions
override void | OnLoad (EventArgs e)
bool | DoVisual (PhysBodyType type)
bool | DoRigid (PhysBodyType type)
bool | DoStatic (PhysBodyType type)
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Properties
bool | RigidBodyEnabled`[get, set]`

## Constructor & Destructor Documentation

VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.ObjectCreationBasePhysical | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBase.

Reimplemented in VisimBuilder.ObjectCreation.BoxCreation, VisimBuilder.ObjectCreation.PyramidCreation, VisimBuilder.ObjectCreation.QuadCreation, VisimBuilder.ObjectCreation.RingCreation, and VisimBuilder.ObjectCreation.SphereCreation.

bool VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.DoRigid | ( | PhysBodyType | type | ) | `[protected]`

bool VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.DoStatic | ( | PhysBodyType | type | ) | `[protected]`

bool VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.DoVisual | ( | PhysBodyType | type | ) | `[protected]`

override void VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.Init | ( | MainBuilderForm | boss | ) | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBase.

virtual Node VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.ObjectCreation | ( | string | name,
|  | ITransformation | itrans,
|  | Type | VertexType,
|  | PhysBodyType | physbody,
|  | PhysSettingsEdit | physsettings,
|  | BoundingObjectType | bounding,
|  | IRenderMaterial | mat,
|  | Node | owner
| ) |  | `[virtual]`

Reimplemented in VisimBuilder.ObjectCreation.BoxCreation, VisimBuilder.ObjectCreation.PyramidCreation, VisimBuilder.ObjectCreation.QuadCreation, VisimBuilder.ObjectCreation.RingCreation, and VisimBuilder.ObjectCreation.SphereCreation.

override Node VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.ObjectCreation | ( | string | name,
|  | ITransformation | itrans,
|  | Node | owner
| ) |  | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBase.

override void VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.OnLoad | ( | EventArgs | e | ) | `[protected]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBase.

override void VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.SetDefault | ( |  | ) | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBase.

Reimplemented in VisimBuilder.ObjectCreation.BoxCreation, VisimBuilder.ObjectCreation.PyramidCreation, VisimBuilder.ObjectCreation.QuadCreation, VisimBuilder.ObjectCreation.RingCreation, and VisimBuilder.ObjectCreation.SphereCreation.

void VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.UpdateMaterials | ( |  | ) |

## Property Documentation

bool VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.RigidBodyEnabled`[get, set, protected]`

The documentation for this class was generated from the following files:

- ObjectCreationBasePhysical.cs
- ObjectCreationBasePhysical.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events